Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util.ajax
Class AjaxFilter

    java.lang.Object
      org.mortbay.util.ajax.AjaxFilter

All Implemented Interfaces:
  Filter

Direct Known Subclasses:
  ChatFilter

    public class AjaxFilter

extends Object
implements Filter

Nested Class Summary
`static class` | `AjaxFilter.AjaxResponse`

Constructor Summary
`AjaxFilter()`

Method Summary
`void` | `destroy()` Called by the web container to indicate to a filter that it is being taken out of service.
`void` | `doFilter(ServletRequest request, ServletResponse response, FilterChain chain)` The `doFilter` method of the Filter is called by the container each time a request/response pair is passed through the chain due to a client request for a resource at the end of the chain.
`static String` | `encodeText(String s)`
`ServletContext` | `getContext()`
`void` | `handle(String method, String message, HttpServletRequest request, AjaxFilter.AjaxResponse response)`
`void` | `init(FilterConfig filterConfig)` Called by the web container to indicate to a filter that it is being placed into service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AjaxFilter

    public AjaxFilter()

Method Detail

### init

    public void init(FilterConfig filterConfig)
              throws ServletException

  Description copied from interface: `Filter`
  Called by the web container to indicate to a filter that it is being placed into service. The servlet container calls the init method exactly once after instantiating the filter. The init method must complete successfully before the filter is asked to do any filtering work.
  The web container cannot place the filter into service if the init method either
  1.Throws a ServletException
  2.Does not return within a time period defined by the web container

  Specified by:
    `init` in interface `Filter`
  Throws:
    `ServletException`

### getContext

    public ServletContext getContext()

  Returns:
    Returns the context.

### doFilter

    public void doFilter(ServletRequest request,
                         ServletResponse response,
                         FilterChain chain)
                  throws IOException,
                         ServletException

  Description copied from interface: `Filter`
  The `doFilter` method of the Filter is called by the container each time a request/response pair is passed through the chain due to a client request for a resource at the end of the chain. The FilterChain passed in to this method allows the Filter to pass on the request and response to the next entity in the chain.

  A typical implementation of this method would follow the following pattern:-
  1. Examine the request
  2. Optionally wrap the request object with a custom implementation to filter content or headers for input filtering
  3. Optionally wrap the response object with a custom implementation to filter content or headers for output filtering
  4. a) Either invoke the next entity in the chain using the FilterChain object (`chain.doFilter()`),
  4. b) or not pass on the request/response pair to the next entity in the filter chain to block the request processing
  5. Directly set headers on the response after invocation of the next entity in the filter chain.

  Specified by:
    `doFilter` in interface `Filter`
  Throws:
    `IOException`
    `ServletException`

### handle

    public void handle(String method,
                       String message,
                       HttpServletRequest request,
                       AjaxFilter.AjaxResponse response)

### destroy

    public void destroy()

  Description copied from interface: `Filter`
  Called by the web container to indicate to a filter that it is being taken out of service. This method is only called once all threads within the filter's doFilter method have exited or after a timeout period has passed. After the web container calls this method, it will not call the doFilter method again on this instance of the filter.
  This method gives the filter an opportunity to clean up any resources that are being held (for example, memory, file handles, threads) and make sure that any persistent state is synchronized with the filter's current state in memory.

  Specified by:
    `destroy` in interface `Filter`

### encodeText

    public static String encodeText(String s)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.